# Google Container Engine API . projects . zones . operations

## Instance Methods

Gets the specified operation.

Lists all operations in a project in a specific zone or all zones.

### Method Details

`get(projectId, zone, operationId, x__xgafv=None)`

    Gets the specified operation.

    Args:
      projectId: string, The Google Developers Console [project ID or project number](https://support.google.com/cloud/answer/6158840). (required)
      zone: string, The name of the Google Compute Engine [zone](/compute/docs/zones#available) in which the cluster resides. (required)
      operationId: string, The server-assigned `name` of the operation. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # This operation resource represents operations that may have happened or are happening on the cluster. All fields are output only.
        "status": "A String", # The current status of the operation.
        "name": "A String", # The server-assigned ID for the operation.
        "zone": "A String", # The name of the Google Compute Engine [zone](/compute/docs/zones#available) in which the operation is taking place.
        "detail": "A String", # Detailed operation progress, if available.
        "selfLink": "A String", # Server-defined URL for the resource.
        "operationType": "A String", # The operation type.
        "statusMessage": "A String", # If an error has occurred, a textual description of the error.
        "targetLink": "A String", # Server-defined URL for the target of the operation.
      }

`list(projectId, zone, x__xgafv=None)`

    Lists all operations in a project in a specific zone or all zones.

    Args:
      projectId: string, The Google Developers Console [project ID or project number](https://support.google.com/cloud/answer/6158840). (required)
      zone: string, The name of the Google Compute Engine [zone](/compute/docs/zones#available) to return operations for, or `-` for all zones. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # ListOperationsResponse is the result of ListOperationsRequest.
        "operations": [ # A list of operations in the project in the specified zone.
          { # This operation resource represents operations that may have happened or are happening on the cluster. All fields are output only.
            "status": "A String", # The current status of the operation.
            "name": "A String", # The server-assigned ID for the operation.
            "zone": "A String", # The name of the Google Compute Engine [zone](/compute/docs/zones#available) in which the operation is taking place.
            "detail": "A String", # Detailed operation progress, if available.
            "selfLink": "A String", # Server-defined URL for the resource.
            "operationType": "A String", # The operation type.
            "statusMessage": "A String", # If an error has occurred, a textual description of the error.
            "targetLink": "A String", # Server-defined URL for the target of the operation.
          },
        ],
        "missingZones": [ # If any zones are listed here, the list of operations returned may be missing the operations from those zones.
          "A String",
        ],
      }